Bug 211212 - evince selection crash
evince selection crash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 17:00 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 17:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-10-17 17:00:36 EDT
Repro case with http://www3.ietf.org/proceedings/06jul/slides/wae-3.pdf - wait
to load, skip to page three, attempt to select whole page.

(gdb) run
Starting program: /usr/bin/evince
http://www3.ietf.org/proceedings/06jul/slides/wae-3.pdf
[Thread debugging using libthread_db enabled]
[New Thread 46912496334576 (LWP 17800)]
[New Thread 1084229952 (LWP 17803)]
[New Thread 1084496192 (LWP 17804)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912496334576 (LWP 17800)]
0x00000038ea70e745 in CairoFont (this=0x866d40, gfxFont=0x860b80,
    xref=0x79cf60, lib=0x7a2d70, useCIDs=1) at Object.h:279
279       { stream->reset(); }
Current language:  auto; currently c++
(gdb) where
#0  0x00000038ea70e745 in CairoFont (this=0x866d40, gfxFont=0x860b80,
    xref=0x79cf60, lib=0x7a2d70, useCIDs=1) at Object.h:279
#1  0x00000038ea70ee09 in CairoFontEngine::getFont (this=0x7a3910,
    gfxFont=0x860b80, xref=0x79cf60) at CairoFontEngine.cc:339
#2  0x00000038ea710cda in CairoOutputDev::updateFont (this=0x79d0d0,
    state=0x85d1c0) at CairoOutputDev.cc:267
#3  0x00000031da7e138c in TextSelectionPainter::visitWord (
    this=0x7fff4a855900, word=0x865c20, begin=0, end=5, selection=Variable
"selection" is not available.
)
    at TextOutputDev.cc:3363
#4  0x00000031da7da732 in TextLine::visitSelection (this=Variable "this" is not
available.
)
    at TextOutputDev.cc:3438
#5  0x00000031da7da8ab in TextBlock::visitSelection (this=0x7ec0f0,
    visitor=0x7fff4a855900, selection=Variable "selection" is not available.
) at TextOutputDev.cc:3510
#6  0x00000031da7e118e in TextPage::visitSelection (this=0x700e90,
    visitor=0x7fff4a855900, selection=Variable "selection" is not available.
) at TextOutputDev.cc:3583
#7  0x00000031da7e2b9e in TextPage::drawSelection (this=0x700e90, out=Variable
"out" is not available.
)
    at TextOutputDev.cc:3596
#8  0x00000038ea70d9ae in poppler_page_render_selection (page=0x6d7300,
    scale=1.4270470142364502, rotation=0, pixbuf=0x804370, selection=Variable
"selection" is not available.
)
    at poppler-page.cc:521
#9  0x0000000000447178 in pdf_selection_render_selection (selection=Variable
"selection" is not available.
)
    at ev-poppler.cc:1271
#10 0x000000000041f039 in ev_pixbuf_cache_get_selection_pixbuf (
---Type <return> to continue, or q <return> to quit---
    pixbuf_cache=0x7cbe30, page=Variable "page" is not available.
) at ev-pixbuf-cache.c:837
#11 0x00000000004277c1 in selection_update_idle_cb (view=0x6c5000)
    at ev-view.c:3664
#12 0x00000031d1d26cca in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#13 0x00000031d1d29e45 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#14 0x00000031d1d2a16d in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#15 0x00000038e991ee93 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x0000000000434511 in main (argc=Variable "argc" is not available.
) at main.c:295
#17 0x00000031d0e1c784 in __libc_start_main () from /lib64/libc.so.6
#18 0x0000000000416169 in _start ()
#19 0x00007fff4a855ff8 in ?? ()
#20 0x0000000000000000 in ?? ()
(gdb)
Comment 1 John Poelstra 2006-11-27 17:10:50 EST
fwiw--no crash loading this doc on evince-0.6.0-7.el5
Comment 2 Kristian Høgsberg 2006-11-28 17:14:04 EST
Yeah, this bug is fixed in poppler 0.5.4

Note You need to log in before you can comment on or make changes to this bug.